#
# This is a simple stress test for moonlight that is creating a
# highly tesselated mesh sphere and measuring the time.

import eu.moonlight3d
import java

startTime=java.lang.System.currentTimeMillis()
state=eu.moonlight3d.framework.State.getInstance()
ogManager=state.getDocumentManager().getMainDocument().getOGManager();
createSphere=ogManager.createNodeByName("CreateSphere")
createSphere.getProperty("divisionsU").setValue(800)
createSphere.getProperty("divisionsV").setValue(800)
ogManager.update()
endTime=java.lang.System.currentTimeMillis()
print "total time: " + str(endTime-startTime)
